function initReward_hideAct(type) {
    console.log('init ' + type)
    changetypeTo_hideAct();

    // 奖励回写
    console.log('extraData ', extraData)
    if (!extraData) {
        return
    }

    const exData = JSON.parse(extraData);
    for (const key in exData) {
        $(`input[name="extraData[${key}]"]`).val(exData[key])
    }
}

function changetypeTo_hideAct() {
    $("#reward_info").empty();
    initHideActWrap();
}

function initHideActWrap() {
    let html = HideActWrapStageTable();
    $("#reward_info").append(html);
}

function HideActWrapStageTable() {
    return `
    <div class="form-group" style="margin-top: 50px">
        <label class="col-sm-2" style="text-align: center;">生效次数：</label>
        <div class="col-sm-3 input-group"> 
            <input type="number" class="form-control" name="extraData[limit]" value="0">
        </div>  
    </div>
    `;
}



